﻿using System;
using System.Linq;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadGridViewCustomFilterCellElementExample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            for (int i = 0; i < 3; i++)
            {
                this.radGridView1.Columns.Add(new GridViewTextBoxColumn("Column " + i));
            }

            for (int i = 0; i < 30; i++)
            {
                this.radGridView1.Rows.Add(i, i, i);
            }

            this.radGridView1.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;
            this.radGridView1.EnableFiltering = true;
            this.radGridView1.ShowFilteringRow = true;
            this.radGridView1.CreateCell += new GridViewCreateCellEventHandler(radGridView1_CreateCell);
        }

        private void radGridView1_CreateCell(object sender, GridViewCreateCellEventArgs e)
        {
            if (e.CellType == typeof(GridFilterCellElement))
            {
                e.CellType = typeof(MyGridFilterCellElement);
            }
        }
    }
}
