﻿using System;
using System.Linq;
using Telerik.WinControls.UI;

namespace RadGridViewCustomFilterCellElementExample
{
    public class MyGridFilterCellElement : GridDataCellElement
    {
        public MyGridFilterCellElement(GridViewDataColumn column, GridRowElement row)
            : base(column, row)
        { }

        protected override void CreateChildElements()
        {
            base.CreateChildElements();

            StackLayoutElement stack = new StackLayoutElement();
            stack.Orientation = System.Windows.Forms.Orientation.Horizontal;
            stack.StretchVertically = true;
            stack.StretchHorizontally = true;

            RadButtonElement button = new RadButtonElement();
            button.Text = "Sum";
            stack.Children.Add(button);
            RadCheckBoxElement check = new RadCheckBoxElement();
            check.Text = "Check";
            stack.Children.Add(check);

            this.Children.Add(stack);
        }

        public override void AddEditor(IInputEditor editor)
        { }

        public override void RemoveEditor(IInputEditor editor)
        { }
    }
}
